<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: framework::filter::X4X8Multiplex Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1filter_1_1_x4_x8_multiplex.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classframework_1_1filter_1_1_x4_x8_multiplex-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::filter::X4X8Multiplex Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class defining X4 and X8 multiplexing.  
 <a href="classframework_1_1filter_1_1_x4_x8_multiplex.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_x4_x8_multiplex_8h_source.html">X4X8Multiplex.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::filter::X4X8Multiplex:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1filter_1_1_x4_x8_multiplex.png" usemap="#framework::filter::X4X8Multiplex_map" alt=""/>
  <map id="framework::filter::X4X8Multiplex_map" name="framework::filter::X4X8Multiplex_map">
<area href="classframework_1_1filter_1_1_uav_multiplex.html" title="Class defining uav multiplexing. " alt="framework::filter::UavMultiplex" shape="rect" coords="0,112,190,136"/>
<area href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. " alt="framework::core::IODevice" shape="rect" coords="0,56,190,80"/>
<area href="classframework_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="framework::core::Object" shape="rect" coords="0,0,190,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:ab65396f910600bf31a76eb0a1305ba8c"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#ab65396f910600bf31a76eb0a1305ba8c">UavType_t</a> { <a class="el" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#ab65396f910600bf31a76eb0a1305ba8ca13d6cff80c344e495c6d02d46cff767b">X4</a>, 
<a class="el" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#ab65396f910600bf31a76eb0a1305ba8ca8a80a53c8f2c3715f9e7f03d1bfe471d">X8</a>
 }</td></tr>
<tr class="memdesc:ab65396f910600bf31a76eb0a1305ba8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">type of UAV  <a href="classframework_1_1filter_1_1_x4_x8_multiplex.html#ab65396f910600bf31a76eb0a1305ba8c">More...</a><br /></td></tr>
<tr class="separator:ab65396f910600bf31a76eb0a1305ba8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b6c53801967727a05019fde6b12af95"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95">MotorNames_t</a> { <br />
&#160;&#160;<a class="el" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95ad3207133e5e63f8f9edca4baee8fdd78">TopFrontLeft</a> =0, 
<a class="el" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95a6d95fe479d33ba3ec01d9f19529bc4e5">TopFrontRight</a> =1, 
<a class="el" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95adccf042c26ee48ab7212c0bdec7eed1c">TopRearLeft</a> =2, 
<a class="el" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95ad23106accaffb3734e610197f65c92dc">TopRearRight</a> =3, 
<br />
&#160;&#160;<a class="el" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95acf21b3d531775198b50d27226ee36c6e">BottomFrontLeft</a> =4, 
<a class="el" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95a23574b537d14fe8f060faee90cee0943">BottomFrontRight</a> =5, 
<a class="el" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95af2af22b01ec05ba504f17545d66e923b">BottomRearLeft</a> =6, 
<a class="el" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95aceeac77420078232ba627961470623c5">BottomRearRight</a> =7
<br />
 }</td></tr>
<tr class="memdesc:a7b6c53801967727a05019fde6b12af95"><td class="mdescLeft">&#160;</td><td class="mdescRight">Motor names.  <a href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95">More...</a><br /></td></tr>
<tr class="separator:a7b6c53801967727a05019fde6b12af95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7201b52b50f64586d1ea82cc1f6a2e6f"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> =0, 
<b>Red</b> =31, 
<b>Green</b> =32, 
<b>Orange</b> =33
 }</td></tr>
<tr class="separator:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae878eb6a6f49e65467ffb9c7c147e7f9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#ae878eb6a6f49e65467ffb9c7c147e7f9">X4X8Multiplex</a> (const <a class="el" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a> *parent, std::string name, <a class="el" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#ab65396f910600bf31a76eb0a1305ba8c">UavType_t</a> type)</td></tr>
<tr class="memdesc:ae878eb6a6f49e65467ffb9c7c147e7f9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ae878eb6a6f49e65467ffb9c7c147e7f9">More...</a><br /></td></tr>
<tr class="separator:ae878eb6a6f49e65467ffb9c7c147e7f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5901f6318bdeb6a687b98915e8ec1171"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a5901f6318bdeb6a687b98915e8ec1171">~X4X8Multiplex</a> ()</td></tr>
<tr class="memdesc:a5901f6318bdeb6a687b98915e8ec1171"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a5901f6318bdeb6a687b98915e8ec1171">More...</a><br /></td></tr>
<tr class="separator:a5901f6318bdeb6a687b98915e8ec1171"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a665556ba4473e958d94ee4a1f3845a77"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a665556ba4473e958d94ee4a1f3845a77">UseDefaultPlot</a> (void)</td></tr>
<tr class="memdesc:a665556ba4473e958d94ee4a1f3845a77"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use default plot.  <a href="#a665556ba4473e958d94ee4a1f3845a77">More...</a><br /></td></tr>
<tr class="separator:a665556ba4473e958d94ee4a1f3845a77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7134bcbe2043f9634d1eb1cc0bcc76fc"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7134bcbe2043f9634d1eb1cc0bcc76fc">MotorsCount</a> (void) const </td></tr>
<tr class="memdesc:a7134bcbe2043f9634d1eb1cc0bcc76fc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Motors count.  <a href="#a7134bcbe2043f9634d1eb1cc0bcc76fc">More...</a><br /></td></tr>
<tr class="separator:a7134bcbe2043f9634d1eb1cc0bcc76fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1filter_1_1_uav_multiplex')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html">framework::filter::UavMultiplex</a></td></tr>
<tr class="memitem:aaa58829dc34730edaf7c9245a138f3c9 inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#aaa58829dc34730edaf7c9245a138f3c9">UavMultiplex</a> (const <a class="el" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a> *parent, std::string name)</td></tr>
<tr class="memdesc:aaa58829dc34730edaf7c9245a138f3c9 inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aaa58829dc34730edaf7c9245a138f3c9">More...</a><br /></td></tr>
<tr class="separator:aaa58829dc34730edaf7c9245a138f3c9 inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9df118cb91b88db66f05d6f3d520d90 inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#ab9df118cb91b88db66f05d6f3d520d90">~UavMultiplex</a> ()</td></tr>
<tr class="memdesc:ab9df118cb91b88db66f05d6f3d520d90 inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ab9df118cb91b88db66f05d6f3d520d90">More...</a><br /></td></tr>
<tr class="separator:ab9df118cb91b88db66f05d6f3d520d90 inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a503a803548d0cefb4a1421e216c8b0b7 inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#a503a803548d0cefb4a1421e216c8b0b7">SetRoll</a> (float value)</td></tr>
<tr class="memdesc:a503a803548d0cefb4a1421e216c8b0b7 inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set roll torque.  <a href="#a503a803548d0cefb4a1421e216c8b0b7">More...</a><br /></td></tr>
<tr class="separator:a503a803548d0cefb4a1421e216c8b0b7 inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d3d512b0f5e432f6937c26e06cfb31f inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#a2d3d512b0f5e432f6937c26e06cfb31f">SetPitch</a> (float value)</td></tr>
<tr class="memdesc:a2d3d512b0f5e432f6937c26e06cfb31f inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set pitch torque.  <a href="#a2d3d512b0f5e432f6937c26e06cfb31f">More...</a><br /></td></tr>
<tr class="separator:a2d3d512b0f5e432f6937c26e06cfb31f inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0110e4554359559113a3343e121d2e7a inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#a0110e4554359559113a3343e121d2e7a">SetYaw</a> (float value)</td></tr>
<tr class="memdesc:a0110e4554359559113a3343e121d2e7a inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set yaw torque.  <a href="#a0110e4554359559113a3343e121d2e7a">More...</a><br /></td></tr>
<tr class="separator:a0110e4554359559113a3343e121d2e7a inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d5fda0fd639d4ce56a961fed4bd4fd1 inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#a4d5fda0fd639d4ce56a961fed4bd4fd1">SetThrust</a> (float value)</td></tr>
<tr class="memdesc:a4d5fda0fd639d4ce56a961fed4bd4fd1 inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set thrust.  <a href="#a4d5fda0fd639d4ce56a961fed4bd4fd1">More...</a><br /></td></tr>
<tr class="separator:a4d5fda0fd639d4ce56a961fed4bd4fd1 inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68462d9a5649f610fae08cc3faefd1ab inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#a68462d9a5649f610fae08cc3faefd1ab">SetRollTrim</a> (float value)</td></tr>
<tr class="memdesc:a68462d9a5649f610fae08cc3faefd1ab inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set roll trim.  <a href="#a68462d9a5649f610fae08cc3faefd1ab">More...</a><br /></td></tr>
<tr class="separator:a68462d9a5649f610fae08cc3faefd1ab inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae88f598af8e8957baacdcac6e58bd415 inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#ae88f598af8e8957baacdcac6e58bd415">SetPitchTrim</a> (float value)</td></tr>
<tr class="memdesc:ae88f598af8e8957baacdcac6e58bd415 inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set pitch trim.  <a href="#ae88f598af8e8957baacdcac6e58bd415">More...</a><br /></td></tr>
<tr class="separator:ae88f598af8e8957baacdcac6e58bd415 inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f86d094032465e70d0da553a326a2ff inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#a0f86d094032465e70d0da553a326a2ff">SetYawTrim</a> (float value)</td></tr>
<tr class="memdesc:a0f86d094032465e70d0da553a326a2ff inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set yaw trim.  <a href="#a0f86d094032465e70d0da553a326a2ff">More...</a><br /></td></tr>
<tr class="separator:a0f86d094032465e70d0da553a326a2ff inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea2f9e4c0121ecb74ee54a390a046d00 inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#aea2f9e4c0121ecb74ee54a390a046d00">Update</a> (<a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">core::Time</a> time)</td></tr>
<tr class="memdesc:aea2f9e4c0121ecb74ee54a390a046d00 inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Update using provided datas.  <a href="#aea2f9e4c0121ecb74ee54a390a046d00">More...</a><br /></td></tr>
<tr class="separator:aea2f9e4c0121ecb74ee54a390a046d00 inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b9fff504f2e4f4af77ff82673d1218f inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#a8b9fff504f2e4f4af77ff82673d1218f">LockUserInterface</a> (void) const </td></tr>
<tr class="memdesc:a8b9fff504f2e4f4af77ff82673d1218f inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Lock user interface.  <a href="#a8b9fff504f2e4f4af77ff82673d1218f">More...</a><br /></td></tr>
<tr class="separator:a8b9fff504f2e4f4af77ff82673d1218f inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5da237d4010a02d07f2df2e56795a90f inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#a5da237d4010a02d07f2df2e56795a90f">UnlockUserInterface</a> (void) const </td></tr>
<tr class="memdesc:a5da237d4010a02d07f2df2e56795a90f inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unlock user interface.  <a href="#a5da237d4010a02d07f2df2e56795a90f">More...</a><br /></td></tr>
<tr class="separator:a5da237d4010a02d07f2df2e56795a90f inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6a396652dd0e73bf0bbeb49f5e38219 inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1gui_1_1_layout.html">gui::Layout</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#ad6a396652dd0e73bf0bbeb49f5e38219">GetLayout</a> (void) const </td></tr>
<tr class="memdesc:ad6a396652dd0e73bf0bbeb49f5e38219 inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Layout.  <a href="#ad6a396652dd0e73bf0bbeb49f5e38219">More...</a><br /></td></tr>
<tr class="separator:ad6a396652dd0e73bf0bbeb49f5e38219 inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64a76d4ad6726295ab43c1d86a692592 inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#a64a76d4ad6726295ab43c1d86a692592">MultiplexValue</a> (int index) const </td></tr>
<tr class="memdesc:a64a76d4ad6726295ab43c1d86a692592 inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Multiplex value.  <a href="#a64a76d4ad6726295ab43c1d86a692592">More...</a><br /></td></tr>
<tr class="separator:a64a76d4ad6726295ab43c1d86a692592 inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a8fd3d0c5664a5d858335e6a8345c3f inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1gui_1_1_tab_widget.html">gui::TabWidget</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#a4a8fd3d0c5664a5d858335e6a8345c3f">GetTabWidget</a> (void) const </td></tr>
<tr class="memdesc:a4a8fd3d0c5664a5d858335e6a8345c3f inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get TabWidget.  <a href="#a4a8fd3d0c5664a5d858335e6a8345c3f">More...</a><br /></td></tr>
<tr class="separator:a4a8fd3d0c5664a5d858335e6a8345c3f inherit pub_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_i_o_device')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td></tr>
<tr class="memitem:a38daac1daa593059f052e1f8fbca5644 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a38daac1daa593059f052e1f8fbca5644">IODevice</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, std::string name)</td></tr>
<tr class="memdesc:a38daac1daa593059f052e1f8fbca5644 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a38daac1daa593059f052e1f8fbca5644">More...</a><br /></td></tr>
<tr class="separator:a38daac1daa593059f052e1f8fbca5644 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca7bca58d80d05ade95107d40cc54edd inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#aca7bca58d80d05ade95107d40cc54edd">~IODevice</a> ()</td></tr>
<tr class="memdesc:aca7bca58d80d05ade95107d40cc54edd inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aca7bca58d80d05ade95107d40cc54edd">More...</a><br /></td></tr>
<tr class="separator:aca7bca58d80d05ade95107d40cc54edd inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e7f5d82cab621b617ee19a268e19480 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a7e7f5d82cab621b617ee19a268e19480">AddDeviceToLog</a> (const <a class="el" href="classframework_1_1core_1_1_i_o_device.html">IODevice</a> *device)</td></tr>
<tr class="memdesc:a7e7f5d82cab621b617ee19a268e19480 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a> to the logs.  <a href="#a7e7f5d82cab621b617ee19a268e19480">More...</a><br /></td></tr>
<tr class="separator:a7e7f5d82cab621b617ee19a268e19480 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a780509d4fa58f743535afebeff1fa568 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a780509d4fa58f743535afebeff1fa568">AddDataToLog</a> (const <a class="el" href="classframework_1_1core_1_1io__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:a780509d4fa58f743535afebeff1fa568 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="classframework_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> to the log.  <a href="#a780509d4fa58f743535afebeff1fa568">More...</a><br /></td></tr>
<tr class="separator:a780509d4fa58f743535afebeff1fa568 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d6345ad826683212ecb8d182614a77f inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a5d6345ad826683212ecb8d182614a77f">OutputToShMem</a> (bool enabled)</td></tr>
<tr class="memdesc:a5d6345ad826683212ecb8d182614a77f inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send the output to a shared memory.  <a href="#a5d6345ad826683212ecb8d182614a77f">More...</a><br /></td></tr>
<tr class="separator:a5d6345ad826683212ecb8d182614a77f inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64c45d0ae8937692acf28adaaa7a54b3 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a64c45d0ae8937692acf28adaaa7a54b3"></a>
virtual <a class="el" href="classframework_1_1core_1_1_data_type.html">DataType</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetInputDataType</b> () const </td></tr>
<tr class="separator:a64c45d0ae8937692acf28adaaa7a54b3 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c60cdf6bb6b0bff895a785d2981fdf5 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8c60cdf6bb6b0bff895a785d2981fdf5"></a>
virtual <a class="el" href="classframework_1_1core_1_1_data_type.html">DataType</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetOutputDataType</b> () const </td></tr>
<tr class="separator:a8c60cdf6bb6b0bff895a785d2981fdf5 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a97617b01df8aedc07b2ba46ef4988994">Object</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a97617b01df8aedc07b2ba46ef4988994">More...</a><br /></td></tr>
<tr class="separator:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a> ()</td></tr>
<tr class="memdesc:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac934815b59eb1cf1a47bdb114fa86da0">More...</a><br /></td></tr>
<tr class="separator:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ae19cf04d95b4cabb8c6064375b15337f">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#ae19cf04d95b4cabb8c6064375b15337f">More...</a><br /></td></tr>
<tr class="separator:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a49660b572cdbedc6a665d5d396ed00a1">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a49660b572cdbedc6a665d5d396ed00a1">More...</a><br /></td></tr>
<tr class="separator:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a8dda2eca639eb56bb2c3f26de04f2678">Parent</a> (void) const </td></tr>
<tr class="memdesc:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a8dda2eca639eb56bb2c3f26de04f2678">More...</a><br /></td></tr>
<tr class="separator:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a7fb6234586cd406b3bea93aadf01ba16">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#a7fb6234586cd406b3bea93aadf01ba16">More...</a><br /></td></tr>
<tr class="separator:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aee8de0c31d51e165fed466a4c8bcf6c4">Childs</a> (void) const </td></tr>
<tr class="memdesc:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#aee8de0c31d51e165fed466a4c8bcf6c4">More...</a><br /></td></tr>
<tr class="separator:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aec1974099e78e731ba9c3dd1ed05de94">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#aec1974099e78e731ba9c3dd1ed05de94">More...</a><br /></td></tr>
<tr class="separator:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#abb73af04b52a2ba67a2d2ce1a74330a2">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#abb73af04b52a2ba67a2d2ce1a74330a2">More...</a><br /></td></tr>
<tr class="separator:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a6f48a765168b2fe4a629234e0b778559">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a6f48a765168b2fe4a629234e0b778559">More...</a><br /></td></tr>
<tr class="separator:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a56a6221f2ce124d7c53b15a423a47b08">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a56a6221f2ce124d7c53b15a423a47b08">More...</a><br /></td></tr>
<tr class="separator:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classframework_1_1filter_1_1_uav_multiplex"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classframework_1_1filter_1_1_uav_multiplex')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html">framework::filter::UavMultiplex</a></td></tr>
<tr class="memitem:a10fa4650213e8dec91e7dcdc713875e5 inherit pro_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#a10fa4650213e8dec91e7dcdc713875e5">SetMultiplexComboBox</a> (std::string name, int index)</td></tr>
<tr class="memdesc:a10fa4650213e8dec91e7dcdc713875e5 inherit pro_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set multiplex ComboBox.  <a href="#a10fa4650213e8dec91e7dcdc713875e5">More...</a><br /></td></tr>
<tr class="separator:a10fa4650213e8dec91e7dcdc713875e5 inherit pro_methods_classframework_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classframework_1_1core_1_1_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classframework_1_1core_1_1_i_o_device')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td></tr>
<tr class="memitem:a50eb13bc82e98bc0e170d77bba026de4 inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a50eb13bc82e98bc0e170d77bba026de4">ProcessUpdate</a> (<a class="el" href="classframework_1_1core_1_1io__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:a50eb13bc82e98bc0e170d77bba026de4 inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Process the childs of type <a class="el" href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a>, and log if needed.  <a href="#a50eb13bc82e98bc0e170d77bba026de4">More...</a><br /></td></tr>
<tr class="separator:a50eb13bc82e98bc0e170d77bba026de4 inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class defining X4 and X8 multiplexing. </p>
<p>The output order of the motors can be changed through ground station. </p>
</div><h2 class="groupheader">Member Enumeration Documentation</h2>
<a class="anchor" id="ab65396f910600bf31a76eb0a1305ba8c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#ab65396f910600bf31a76eb0a1305ba8c">framework::filter::X4X8Multiplex::UavType_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>type of UAV </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="ab65396f910600bf31a76eb0a1305ba8ca13d6cff80c344e495c6d02d46cff767b"></a>X4&#160;</td><td class="fielddoc">
<p>4 motors: front left, front right, rear left, rear right </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ab65396f910600bf31a76eb0a1305ba8ca8a80a53c8f2c3715f9e7f03d1bfe471d"></a>X8&#160;</td><td class="fielddoc">
<p>8 motors: top front left, top front right, top rear left, top rear right, bottom front left, bottom front right, bottom rear left, bottom rear right </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="a7b6c53801967727a05019fde6b12af95"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95">framework::filter::X4X8Multiplex::MotorNames_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Motor names. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="a7b6c53801967727a05019fde6b12af95ad3207133e5e63f8f9edca4baee8fdd78"></a>TopFrontLeft&#160;</td><td class="fielddoc">
<p>Top front left, X4 or X8 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a7b6c53801967727a05019fde6b12af95a6d95fe479d33ba3ec01d9f19529bc4e5"></a>TopFrontRight&#160;</td><td class="fielddoc">
<p>Top front right, X4 or X8 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a7b6c53801967727a05019fde6b12af95adccf042c26ee48ab7212c0bdec7eed1c"></a>TopRearLeft&#160;</td><td class="fielddoc">
<p>Top rear left, X4 or X8 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a7b6c53801967727a05019fde6b12af95ad23106accaffb3734e610197f65c92dc"></a>TopRearRight&#160;</td><td class="fielddoc">
<p>Top rear right, X4 or X8 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a7b6c53801967727a05019fde6b12af95acf21b3d531775198b50d27226ee36c6e"></a>BottomFrontLeft&#160;</td><td class="fielddoc">
<p>Bottom front left, X8 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a7b6c53801967727a05019fde6b12af95a23574b537d14fe8f060faee90cee0943"></a>BottomFrontRight&#160;</td><td class="fielddoc">
<p>Bottom front right, X8 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a7b6c53801967727a05019fde6b12af95af2af22b01ec05ba504f17545d66e923b"></a>BottomRearLeft&#160;</td><td class="fielddoc">
<p>Bottom rear left, X8 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a7b6c53801967727a05019fde6b12af95aceeac77420078232ba627961470623c5"></a>BottomRearRight&#160;</td><td class="fielddoc">
<p>Bottom rear right, X8 </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ae878eb6a6f49e65467ffb9c7c147e7f9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::filter::X4X8Multiplex::X4X8Multiplex </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#ab65396f910600bf31a76eb0a1305ba8c">UavType_t</a>&#160;</td>
          <td class="paramname"><em>type</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a X4 and X8 multiplexing</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>parent </td></tr>
    <tr><td class="paramname">name</td><td>name </td></tr>
    <tr><td class="paramname">type</td><td>type </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a5901f6318bdeb6a687b98915e8ec1171"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::filter::X4X8Multiplex::~X4X8Multiplex </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a665556ba4473e958d94ee4a1f3845a77"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void framework::filter::X4X8Multiplex::UseDefaultPlot </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Use default plot. </p>
<p>Plot the output values. </p>

<p>Reimplemented from <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#aad233de5623f020dc286b94dded0d7b0">framework::filter::UavMultiplex</a>.</p>

</div>
</div>
<a class="anchor" id="a7134bcbe2043f9634d1eb1cc0bcc76fc"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t framework::filter::X4X8Multiplex::MotorsCount </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Motors count. </p>
<p>Reimplemented from <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html" title="Class defining uav multiplexing. ">UavMultiplex</a>.</p>
<dl class="section return"><dt>Returns</dt><dd>motors count </dd></dl>

<p>Implements <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#aef95a5e864f070083ca36ada22c69087">framework::filter::UavMultiplex</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1filter.html">filter</a></li><li class="navelem"><a class="el" href="classframework_1_1filter_1_1_x4_x8_multiplex.html">X4X8Multiplex</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:29:00 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
